AOMedia AV1 Codec: KeyFrameCfg Struct Reference

| AOMedia AV1 Codec

Data Fields
KeyFrameCfg Struct Reference

Encoder config related to the coding of key frames. More...

`#include <encoder.h>`

## Data Fields
int | key_freq_min
int | key_freq_max
int | enable_keyframe_filtering
int | sframe_dist
int | sframe_mode
bool | auto_key
bool | fwd_kf_enabled
bool | enable_sframe
bool | enable_intrabc

## Detailed Description

Encoder config related to the coding of key frames.

## Field Documentation

## ◆ key_freq_min

int KeyFrameCfg::key_freq_min

Indicates the minimum distance to a key frame.

Referenced by define_kf_interval().

## ◆ key_freq_max

int KeyFrameCfg::key_freq_max

Indicates the maximum distance to a key frame.

Referenced by av1_encode_strategy(), av1_get_one_pass_rt_params(), define_kf_interval(), and find_next_key_frame().

## ◆ enable_keyframe_filtering

int KeyFrameCfg::enable_keyframe_filtering

Indicates if temporal filtering should be applied on keyframe.

## ◆ sframe_dist

int KeyFrameCfg::sframe_dist

Indicates the number of frames after which a frame may be coded as an S-Frame.

Referenced by av1_get_second_pass_params().

## ◆ sframe_mode

int KeyFrameCfg::sframe_mode

Indicates how an S-Frame should be inserted. 1: the considered frame will be made into an S-Frame only if it is an altref frame. 2: the next altref frame will be made into an S-Frame.

Referenced by av1_get_second_pass_params().

## ◆ auto_key

bool KeyFrameCfg::auto_key

Indicates if encoder should autodetect cut scenes and set the keyframes.

Referenced by define_kf_interval(), and find_next_key_frame().

## ◆ fwd_kf_enabled

bool KeyFrameCfg::fwd_kf_enabled

Indicates if forward keyframe reference should be enabled.

Referenced by av1_encode_strategy(), calculate_gf_length(), define_kf_interval(), and find_next_key_frame().

## ◆ enable_sframe

bool KeyFrameCfg::enable_sframe

Indicates if S-Frames should be enabled for the sequence.

## ◆ enable_intrabc

bool KeyFrameCfg::enable_intrabc

Indicates if intra block copy prediction mode should be enabled or not.

Referenced by encode_frame_internal(), and rd_pick_intrabc_mode_sb().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h